# JSDeveloperbridge

## Properties Summarized

| Type                                                                  | Name                  | Summary |
| --------------------------------------------------------------------- | --------------------- | ------- |
| [Location](/reference/servoycore/dev-api/developerbridge/location.md) | [LOCATION](#location) |         |

## Methods Summarized

| Type                                                                                | Name                                                                                  | Summary                                                                                                                                                                 |
| ----------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [JSDeveloperMenu](/reference/servoycore/dev-api/developerbridge/jsdevelopermenu.md) | [createComponentMenu(text, componentNames)](#createcomponentmenu-text-componentnames) | Creates an instanceof a JSDeveloperMenu that can be used in the register function to add a menu item to the context menu or in the form editor for specific components. |
| [JSDeveloperMenu](/reference/servoycore/dev-api/developerbridge/jsdevelopermenu.md) | [createMenu(text, location)](#createmenu-text-location)                               | Creates an instanceof a JSDeveloperMenu that can be used in the register function to add a menu item to the context menu or in the form editor.                         |
| void                                                                                | [registerMenuItem(menu, callback)](#registermenuitem-menu-callback)                   | Registers a menu item to show in the developer The callback is called when this menu item is clicked on.                                                                |
| void                                                                                | [showForm(formName)](#showform-formname)                                              | Shows the form in in the the ui of the developer (so in a dialog) where a developer can interact with.                                                                  |

## Properties Detailed

### LOCATION

**Type**\
[Location](/reference/servoycore/dev-api/developerbridge/location.md)

## Methods Detailed

### createComponentMenu(text, componentNames)

Creates an instanceof a JSDeveloperMenu that can be used in the register function to add a menu item to the context menu or in the form editor for specific components.\
The componentNames is an array of component names

**Parameters**

* [String](/reference/servoycore/dev-api/js-lib/string.md) **text** The label that is shown for this menu item.
* [Array](/reference/servoycore/dev-api/js-lib/array.md) **componentNames** The component names where this menu item should be shown for.

**Returns:** [JSDeveloperMenu](/reference/servoycore/dev-api/developerbridge/jsdevelopermenu.md) the created menu item

### createMenu(text, location)

Creates an instanceof a JSDeveloperMenu that can be used in the register function to add a menu item to the context menu or in the form editor.\
The location is one of the servoyDeveloper.LOCATIOM properties

**Parameters**

* [String](/reference/servoycore/dev-api/js-lib/string.md) **text** The label that is shown for this menu item.
* [Number](/reference/servoycore/dev-api/js-lib/number.md) **location** The location where this menu item should be shown (one of the servoyDeveloper.LOCATIOM properties).

**Returns:** [JSDeveloperMenu](/reference/servoycore/dev-api/developerbridge/jsdevelopermenu.md) the created menu item

### registerMenuItem(menu, callback)

Registers a menu item to show in the developer

The callback is called when this menu item is clicked on.

**Parameters**

* [JSDeveloperMenu](/reference/servoycore/dev-api/developerbridge/jsdevelopermenu.md) **menu** The menu that needs to be registered
* [Function](/reference/servoycore/dev-api/js-lib/function.md) **callback** The callback will be called when the menu item is clicked

**Returns:** void

### showForm(formName)

Shows the form in in the the ui of the developer (so in a dialog) where a developer can interact with.

**Parameters**

* [String](/reference/servoycore/dev-api/js-lib/string.md) **formName** The name of the form to show

**Returns:** void

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/dev-api/developerbridge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
